Home Forums Wiki Doc Install Extras Screenshots Source Code Projects Blog Users Groups Register
Glx-Dock / Cairo-Dock List of forums Problems at use | Problèmes à l'utilisation [Inutile Q] Applet Klipper sauve la sélection -1 caractère jusqu'à temps qu'il n'y ait plus de place
The latest stable release is the *3.4.0* : How to install it here.
Note: We just switched from BZR to Git on Github! (only to host the code and your future pull requests)
Problems at use | Problèmes à l'utilisation

Subjects Author Language Messages Last message
[Locked] [Inutile Q] Applet Klipper sauve la sélection -1 caractère jusqu'à temps qu'il n'y ait plus de place
FrankKubuntu Français 11 FrankKubuntu [Read]
18 February 2010 à 17:06

FrankKubuntu, Wednesday 17 February 2010 à 02:39


Subscription date : 21 October 2009
Messages : 1575
Aha!! J'ai trouvé un bug!

CD 2.1.1.

J'ai testé Klipper pour comparer avec le klipper de KDE et y a un bug vraiment biz...

J'ai 20 lignes que klipper-CD peut se rappeler.

Je sélectionne UNE ligne dans emesene (un IM client) et voici le résultat:

http://uppix.net/8/9/6/e16fcc55d37313eb91ac80cb0af09.jpg

EDIT: Hey! L'applet dnd2share fonctionne à merveille, c hot!!!

2 bugs: Le premier on voit que sur la première ligne il ne prend pas en compte le format de caractères. Le deuxième bien on voit qu'il prend la sélection et la remet en mémoire 19 autre fois en enlevant 1 caractère à chaque fois...

Klipper-KDE ne fait pas ça.

Quel est mon prochain test?

matttbe, Wednesday 17 February 2010 à 10:11


Subscription date : 24 January 2009
Messages : 12573
Quel est mon prochain test?
Utiliser une version plus récente car reporter de vieux bugs déjà corrigés (je pense), c'est être petit joueur

PS: à quand un changement de distrib

fabounet, Wednesday 17 February 2010 à 12:10


Subscription date : 30 November 2007
Messages : 17118
je dirais même
reporter de vieux bugs déjà corrigés (je pense), c'est être petit joueur

FrankKubuntu, Wednesday 17 February 2010 à 13:58


Subscription date : 21 October 2009
Messages : 1575
Ah oui c'est un vieux bug? Tant mieux dans ce cas.

Je peux voir le change log sur launchpad depuis 2.1.1 j'imagine?

fabounet, Wednesday 17 February 2010 à 16:36


Subscription date : 30 November 2007
Messages : 17118
oui, après je suis pas du genre pointilleux sur les changelogs

FrankKubuntu, Thursday 18 February 2010 à 04:14


Subscription date : 21 October 2009
Messages : 1575
Très drôle matttbe

PS: à quand un changement de distrib


Dans le but de pouvoir installer les dépendances sous opensuse j'ai fait un
rpm -qpR cairo-dock-2.1.1-11.pm.12.1.x86_64.rpm


Ça me donne ceci
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/bin/bash
/bin/sh
libGL.so.1()(64bit)
libGLU.so.1()(64bit)
libX11.so.6()(64bit)
libXcomposite.so.1()(64bit)
libXinerama.so.1()(64bit)
libXrender.so.1()(64bit)
libXtst.so.6()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libcairo.so.2()(64bit)
libcrypt.so.1()(64bit)
libcrypt.so.1(GLIBC_2.2.5)(64bit)
libdbus-glib-1.so.2()(64bit)
libgdk-x11-2.0.so.0()(64bit)
libgdk_pixbuf-2.0.so.0()(64bit)
libgdkglext-x11-1.0.so.0()(64bit)
libglib-2.0.so.0()(64bit)
libgmodule-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libgthread-2.0.so.0()(64bit)
libgtk-x11-2.0.so.0()(64bit)
libgtkglext-x11-1.0.so.0()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpango-1.0.so.0()(64bit)
libpangocairo-1.0.so.0()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
librsvg-2.so.2()(64bit)
libxml2.so.2()(64bit)
rpmlib(PayloadIsLzma) <= 4.4.6-1


Ensuite, je ne me suis pas lassé et j'ai fait la même chose pour le CD-plugins.

cairo-dock = 2.1.1
cairo-dock-plugins-lang
/sbin/ldconfig
/sbin/ldconfig
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/bin/bash
/bin/sh
libGL.so.1()(64bit)
libGLU.so.1()(64bit)
libICE.so.6()(64bit)
libSM.so.6()(64bit)
libX11.so.6()(64bit)
libXcomposite.so.1()(64bit)
libXfixes.so.3()(64bit)
libXinerama.so.1()(64bit)
libXmu.so.6()(64bit)
libXrender.so.1()(64bit)
libXt.so.6()(64bit)
libXtst.so.6()(64bit)
libXxf86vm.so.1()(64bit)
libasound.so.2()(64bit)
libasound.so.2(ALSA_0.9)(64bit)
libatk-1.0.so.0()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libcairo.so.2()(64bit)
libcrypto.so.0.9.8()(64bit)
libdb-4.5.so()(64bit)
libdbus-1.so.3()(64bit)
libdbus-glib-1.so.2()(64bit)
libdl.so.2()(64bit)
libetpan.so.13()(64bit)
libexif.so.12()(64bit)
libfontconfig.so.1()(64bit)
libfreetype.so.6()(64bit)
libgdk-x11-2.0.so.0()(64bit)
libgdk_pixbuf-2.0.so.0()(64bit)
libgdkglext-x11-1.0.so.0()(64bit)
libgio-2.0.so.0()(64bit)
libglib-2.0.so.0()(64bit)
libgmodule-2.0.so.0()(64bit)
libgnome-menu.so.2()(64bit)
libgobject-2.0.so.0()(64bit)
libgthread-2.0.so.0()(64bit)
libgtk-x11-2.0.so.0()(64bit)
libgtkglext-x11-1.0.so.0()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpango-1.0.so.0()(64bit)
libpangocairo-1.0.so.0()(64bit)
libpangoft2-1.0.so.0()(64bit)
libpangox-1.0.so.0()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
librsvg-2.so.2()(64bit)
librt.so.1()(64bit)
libsasl2.so.2()(64bit)
libsoup-2.4.so.1()(64bit)
libssl.so.0.9.8()(64bit)
libvte.so.9()(64bit)
libwebkit-1.0.so.2()(64bit)
libxklavier.so.15()(64bit)
libxml2.so.2()(64bit)
libz.so.1()(64bit)
rpmlib(PayloadIsLzma) <= 4.4.6-1


Ensuite sur CD-plugins-lang
cairo-dock = 2.1.1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsLzma) <= 4.4.6-1


Je sais qu'il en manque, comme gettext par exemple, à moins que ce soit libgtkglext-x11-1.0.so.0()(64bit)... Alors croyez-vous que RPM est pas capable de me donner toutes les dépendances? Ou est-ce que je devrais plutôt lancer ma commande sur le .src.rpm??

fabounet, Thursday 18 February 2010 à 10:02


Subscription date : 30 November 2007
Messages : 17118
effectivement gtkglext est nécessaire.

matttbe, Thursday 18 February 2010 à 13:40


Subscription date : 24 January 2009
Messages : 12573
Tu ne sais pas refaire un essai de compilation avec la toute dernière version depuis BZR?

FrankKubuntu, Thursday 18 February 2010 à 14:09


Subscription date : 21 October 2009
Messages : 1575
Tu ne sais pas refaire un essai de compilation avec la toute dernière version depuis BZR?


Bah oui je vais le faire c'est certain, seulement je tente de prendre en note tous les paquets dont j'ai besoin et chercher ceux qui fouarraient la dernière fois. surtout que les msgs d'erreurs durant la compile ne sont pas assez clair. CD compile bien, c'est le plug-in qui est plus toff!!

Je vais donc refaire un essai, mais avant je vais quand même faire un check-up sur le src.rpm, au cas où je verrais une dépendance qui n'est pas dans la liste des autres paquets...

J'vous tiendrai au courant! Car si je réussi j'aimerais écrire un post qui indiquerait les paquets rpm opensuse nécessaire, pour les autres qui ont opensuse et qui veulent compiler (opensuse est quand même 4ième plus populaire sur distrowatch). Et si je réussi, je donne ma médaille Olympique à la France!! Alors souhaitez-moi bonne chance!

matttbe, Thursday 18 February 2010 à 16:29


Subscription date : 24 January 2009
Messages : 12573
Car si je réussi j'aimerais écrire un post qui indiquerait les paquets rpm opensuse nécessaire
Si tu pouvais compléter le wiki, ce serait pas mal

Et si je réussi, je donne ma médaille Olympique à la France!! Alors souhaitez-moi bonne chance!
Ils en ont besoin pour le moment à Vancouver

ppmt, Thursday 18 February 2010 à 16:51


Subscription date : 29 November 2007
Messages : 3520
Ils en ont besoin pour le moment à Vancouver


bof pas plus que les Canadiens

FrankKubuntu, Thursday 18 February 2010 à 17:06


Subscription date : 21 October 2009
Messages : 1575
Ah je n'ai pas checké le wiki là-dessus, mattt, si je peux apporter de l'info alors c sûr je le ferai. Y faut que je réussisse, je veux compiler les bzr.

Problems at use | Problèmes à l'utilisation

Subjects Author Language Messages Last message
[Locked] [Inutile Q] Applet Klipper sauve la sélection -1 caractère jusqu'à temps qu'il n'y ait plus de place
FrankKubuntu Français 11 FrankKubuntu [Read]
18 February 2010 à 17:06


Glx-Dock / Cairo-Dock List of forums Problems at use | Problèmes à l'utilisation [Inutile Q] Applet Klipper sauve la sélection -1 caractère jusqu'à temps qu'il n'y ait plus de place Top

Online users :

Powered by ElementSpeak © 2007 Adrien Pilleboue, 2009-2013 Matthieu Baerts.
Dock based on CSS Dock Menu (Ndesign) with jQuery. Icons by zgegball
Cairo-Dock is a free software under GNU-GPL3 licence. First stable version created by Fabounet.
Many thanks to TuxFamily for the web Hosting and Mav for the domain name.